#ifndef DISCOVERY_H_
#define DISCOVERY_H_

#include <QObject>
#include <QTimer>
#include <QUdpSocket>

class Discovery: public QObject
{
	Q_OBJECT

private:
	QUdpSocket socket;
	QHostAddress broadcast_addr;
	unsigned port;
	QTimer timer;
	QString server_name;

public:
	Discovery();

	void start();
	void stop();

signals:
	void server_discovered(const QHostAddress &);

private slots:
	void send_beacon();
	void datagram_available();
};

#endif
